GNU bug report logs - #47447
[PATCH] gnu: Add entt.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Alexandru-Sergiu Marton <brown121407@HIDDEN>; Keywords: patch; dated Sun, 28 Mar 2021 10:05:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 47447 <at> debbugs.gnu.org:


Received: (at 47447) by debbugs.gnu.org; 7 Apr 2021 11:15:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 07 07:15:47 2021
Received: from localhost ([127.0.0.1]:43231 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lU69w-0005e5-7L
	for submit <at> debbugs.gnu.org; Wed, 07 Apr 2021 07:15:47 -0400
Received: from mout02.posteo.de ([185.67.36.66]:42165)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brown121407@HIDDEN>) id 1lU69s-0005dl-BP
 for 47447 <at> debbugs.gnu.org; Wed, 07 Apr 2021 07:15:43 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 6B1A6240100
 for <47447 <at> debbugs.gnu.org>; Wed,  7 Apr 2021 13:15:32 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.ro; s=2017;
 t=1617794132; bh=lLXyR6i2XtzlHpUGyww+jHOZQllxHVdzgxS60rz9fKE=;
 h=From:To:Cc:Subject:Date:From;
 b=Cdk+sFjh90UWf0O6cIu6Lun+TqMJtbNIb/Tnd9CHIT9s+Qt5rvxe932sdh+cmpG1i
 Rg452d6EvnjoGzEbtmHnBfXn7I3wG3are8xfQZ6+j9PWzZs00T7FwKJfjAYQmdF25q
 POxtmo8D8Vrog7/rQ218HUgTp7cm9wJqTxxNGvEHVlyk42R/BLLhYz8RDaCpJxpHwp
 XD71pdFfsa7jIm3/EBq8NyyHy7h4uyn00CxrImYnDVn1B1qZHxzJbWar27WXupKIMJ
 MPC5v2oxu9LwJahe6xPTw7SKEJfqv2mewXtFp0k7yK95EdAXMPVPu5Vdq5vcEDWtwi
 br3fD+DA0NICg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4FFhdb3ndfz6tmB;
 Wed,  7 Apr 2021 13:15:31 +0200 (CEST)
References: <20210328100322.31991-1-brown121407@HIDDEN>
 <37142ad6f109e441c543540408997a2353812565.camel@HIDDEN>
 <87mtujfaqf.fsf@HIDDEN>
User-agent: mu4e 1.4.15; emacs 27.2
From: Alexandru-Sergiu Marton <brown121407@HIDDEN>
To: Leo Prikler <leo.prikler@HIDDEN>
Subject: [PATCH v2] gnu: Add entt.
In-reply-to: <87mtujfaqf.fsf@HIDDEN>
Date: Wed, 07 Apr 2021 14:15:30 +0300
Message-ID: <87sg42mjl9.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 1.4 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: I wrote: > Leo Prikler writes: > >> Would it be possible to
 cherry-pick this commit and add it to the >> patches field of entt's origin?
 > > I'm inexperienced with cherry-picking. I will try to do it, but the [...]
 Content analysis details:   (1.4 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: brown.121407.xyz (xyz)]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [185.67.36.66 listed in list.dnswl.org]
 0.0 RCVD_IN_MSPIKE_H4      RBL: Very Good reputation (+4)
 [185.67.36.66 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.1 URI_HEX                URI: URI hostname has long hexadecimal sequence
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 47447
Cc: 47447 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.4 (/)

--=-=-=
Content-Type: text/plain

I wrote:

> Leo Prikler writes:
>
>> Would it be possible to cherry-pick this commit and add it to the
>> patches field of entt's origin?
>
> I'm inexperienced with cherry-picking. I will try to do it, but the
> maintainer mentioned another release might come soon, so if that happens
> before I get to figure this out, I will come back with a recipe for the
> new version which will contain the fixed tests too.

The new release indeed came and after a discussion with the maintainer I
managed to get all the tests running too. I'm attaching the a new patch
with the lastest version to this email.

Cheers.

-- 
Alexandru-Sergiu Marton
https://brown.121407.xyz

--=-=-=
Content-Type: text/x-patch; charset=utf-8
Content-Disposition: attachment; filename=v2-0001-gnu-Add-entt.patch
Content-Transfer-Encoding: quoted-printable

From ff79e8c2a8f70cde214a10091747f8e2ae8db052 Mon Sep 17 00:00:00 2001
From: Alexandru-Sergiu Marton <brown121407@HIDDEN>
Date: Sun, 28 Mar 2021 12:56:53 +0300
Subject: [PATCH v2] gnu: Add entt.

* gnu/packages/cpp.scm (entt): New variable.
---
 gnu/packages/cpp.scm | 34 +++++++++++++++++++++++++++++++++-
 1 file changed, 33 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/cpp.scm b/gnu/packages/cpp.scm
index 2a00d3838a..be9aa5ff30 100644
--- a/gnu/packages/cpp.scm
+++ b/gnu/packages/cpp.scm
@@ -18,7 +18,7 @@
 ;;; Copyright =C2=A9 2020 Brett Gilio <brettg@HIDDEN>
 ;;; Copyright =C2=A9 2020 Milkey Mouse <milkeymouse@HIDDEN>
 ;;; Copyright =C2=A9 2021 Raghav Gururajan <rg@HIDDEN>
-
+;;; Copyright =C2=A9 2021 Alexandru-Sergiu Marton <brown121407@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -57,6 +57,7 @@
   #:use-module (gnu packages curl)
   #:use-module (gnu packages documentation)
   #:use-module (gnu packages gcc)
+  #:use-module (gnu packages graphviz)
   #:use-module (gnu packages libevent)
   #:use-module (gnu packages libunwind)
   #:use-module (gnu packages linux)
@@ -1211,3 +1212,34 @@ of reading and writing XML.")
     ;; incompatible with the GPL v2.  Refer to the file named FLOSSE for t=
he
     ;; details.
     (license license:gpl2+)))
+
+(define-public entt
+  (package
+    (name "entt")
+    (version "3.7.0")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/skypjack/entt")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "0nzvnhiw3r6nkmxp749zwxc8kzja09nijyxibdbri3g2i7pysf58"))))
+    (build-system cmake-build-system)
+    (arguments
+     `(#:configure-flags (list "-DENTT_BUILD_TESTING=3DON"
+                               "-DENTT_FIND_GTEST_PACKAGE=3DON"
+                               "-DENTT_BUILD_DOCS=3DON")
+       #:build-type "Debug")) ;; Only tests are compiled; this is needed so
+                              ;; that assertions work.
+    (native-inputs
+     `(("googletest" ,googletest)
+       ("doxygen" ,doxygen)     ; These two packages are needed for
+       ("graphviz" ,graphviz))) ; generating the documentation.
+    (synopsis "Fast and reliable entity component system (ECS)")
+    (description "EnTT is a header-only, tiny and easy to use library for =
game
+programming and much more written in modern C++.")
+    (home-page "https://github.com/skypjack/entt")
+    (license (list license:expat        ; for the code
+                   license:cc-by4.0)))) ; for the docs
--=20
2.31.0


--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#47447; Package guix-patches. Full text available.

Message received at 47447 <at> debbugs.gnu.org:


Received: (at 47447) by debbugs.gnu.org; 31 Mar 2021 18:18:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 31 14:18:28 2021
Received: from localhost ([127.0.0.1]:55499 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lRfQC-0004HX-2o
	for submit <at> debbugs.gnu.org; Wed, 31 Mar 2021 14:18:28 -0400
Received: from mout01.posteo.de ([185.67.36.65]:33151)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brown121407@HIDDEN>) id 1lRfQA-0004HL-Nu
 for 47447 <at> debbugs.gnu.org; Wed, 31 Mar 2021 14:18:27 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id BBA5716005C
 for <47447 <at> debbugs.gnu.org>; Wed, 31 Mar 2021 20:18:20 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.ro; s=2017;
 t=1617214700; bh=7aME2SrZP+K0n5C1iqSR8SPTgnicR77nanZFPS4S3LE=;
 h=From:To:Cc:Subject:Date:From;
 b=fUS/gbG+ErGhTRDE4Aq2VZ/8mRBW2zbePi4R8SjXKrGyc6ZxJrwY85BZns5edwM9C
 kvXQ5mMtfFnULukkYivZVtPLSCObVmE758qEwdhbLneYwysSMOHwiPADu8f7wWfhif
 jePCNWW7j0VQFW7MjERGAMAWyLkk+BXFwocqzfXbyqfnRylAxtwEnIB4TmNd6aRN5R
 uEJfeyjY+UedohZxj1ITpN+NpiTniitsBAkyaPWOZ6sNpmcPKA4keVp0XccPu18gYi
 wwrDDLuStVA7qKC6VFck3NMTOtIgxI8fugGLiYLFrcZ99O/LsesrhH55qH+cBZGB+d
 zL4o6hluNO6pw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4F9ZLg4NyVz6tmJ;
 Wed, 31 Mar 2021 20:18:19 +0200 (CEST)
References: <20210328100322.31991-1-brown121407@HIDDEN>
 <37142ad6f109e441c543540408997a2353812565.camel@HIDDEN>
User-agent: mu4e 1.4.15; emacs 27.2
From: Alexandru-Sergiu Marton <brown121407@HIDDEN>
To: Leo Prikler <leo.prikler@HIDDEN>
Subject: Re: [PATCH] gnu: Add entt.
In-reply-to: <37142ad6f109e441c543540408997a2353812565.camel@HIDDEN>
Date: Wed, 31 Mar 2021 21:18:16 +0300
Message-ID: <87mtujfaqf.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 47447
Cc: 47447 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.2 (-)

Hi,

Leo Prikler writes:

> Would it be possible to cherry-pick this commit and add it to the
> patches field of entt's origin?

I'm inexperienced with cherry-picking. I will try to do it, but the
maintainer mentioned another release might come soon, so if that happens
before I get to figure this out, I will come back with a recipe for the
new version which will contain the fixed tests too.

Cheers.

-- 
Alexandru-Sergiu Marton
https://brown.121407.xyz




Information forwarded to guix-patches@HIDDEN:
bug#47447; Package guix-patches. Full text available.

Message received at 47447 <at> debbugs.gnu.org:


Received: (at 47447) by debbugs.gnu.org; 28 Mar 2021 10:44:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 28 06:44:48 2021
Received: from localhost ([127.0.0.1]:45469 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lQSuS-0004uy-Fm
	for submit <at> debbugs.gnu.org; Sun, 28 Mar 2021 06:44:48 -0400
Received: from mailrelay.tugraz.at ([129.27.2.202]:22507)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo.prikler@HIDDEN>) id 1lQSuP-0004uo-Hl
 for 47447 <at> debbugs.gnu.org; Sun, 28 Mar 2021 06:44:43 -0400
Received: from nijino.local (194-96-13-79.adsl.highway.telekom.at
 [194.96.13.79])
 by mailrelay.tugraz.at (Postfix) with ESMTPSA id 4F7XQX744Jz1LLyL;
 Sun, 28 Mar 2021 12:44:36 +0200 (CEST)
DKIM-Filter: OpenDKIM Filter v2.11.0 mailrelay.tugraz.at 4F7XQX744Jz1LLyL
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tugraz.at;
 s=mailrelay; t=1616928277;
 bh=el645LBMLb4/wYJfhinwNuC8xL8G9o+d279fLwS+zqo=;
 h=Subject:From:To:Date:In-Reply-To:References:From;
 b=qWUuLzHDp4B36YRRsEAefS9uhTQX1eASROQ2u2ChKzig/ga/WaZsNO/PLoKZ5fTGG
 dED6UBsGQLHuL4+rr8C67BEI0X5xtaJ7pUDEVFrWugCqAfa8arc5SFQLVcA77uopps
 aX48jmPhx7uS2u1dIM4TK2yXKgz2RmLNUhPqsfoE=
Message-ID: <37142ad6f109e441c543540408997a2353812565.camel@HIDDEN>
Subject: Re: [PATCH] gnu: Add entt.
From: Leo Prikler <leo.prikler@HIDDEN>
To: Alexandru-Sergiu Marton <brown121407@HIDDEN>, 47447 <at> debbugs.gnu.org
Date: Sun, 28 Mar 2021 12:44:35 +0200
In-Reply-To: <20210328100322.31991-1-brown121407@HIDDEN>
References: <20210328100322.31991-1-brown121407@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-TUG-Backscatter-control: bt4lQm5Tva3SBgCuw0EnZw
X-Spam-Scanner: SpamAssassin 3.003001 
X-Spam-Score-relay: -1.9
X-Scanned-By: MIMEDefang 2.74 on 129.27.10.117
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 47447
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Am Sonntag, den 28.03.2021, 13:03 +0300 schrieb Alexandru-Sergiu
Marton:
> * gnu/packages/cpp.scm (entt): New variable.
> (entt-fixed-tests): New variable.
> ---
>  gnu/packages/cpp.scm | 51
> +++++++++++++++++++++++++++++++++++++++++++-
>  1 file changed, 50 insertions(+), 1 deletion(-)
> 
> diff --git a/gnu/packages/cpp.scm b/gnu/packages/cpp.scm
> index 2a00d3838a..449b4c1c06 100644
> --- a/gnu/packages/cpp.scm
> +++ b/gnu/packages/cpp.scm
> @@ -18,7 +18,7 @@
>  ;;; Copyright © 2020 Brett Gilio <brettg@HIDDEN>
>  ;;; Copyright © 2020 Milkey Mouse <milkeymouse@HIDDEN>
>  ;;; Copyright © 2021 Raghav Gururajan <rg@HIDDEN>
> -
> +;;; Copyright © 2021 Alexandru-Sergiu Marton <brown121407@HIDDEN>
>  ;;;
>  ;;; This file is part of GNU Guix.
>  ;;;
> @@ -57,6 +57,7 @@
>    #:use-module (gnu packages curl)
>    #:use-module (gnu packages documentation)
>    #:use-module (gnu packages gcc)
> +  #:use-module (gnu packages graphviz)
>    #:use-module (gnu packages libevent)
>    #:use-module (gnu packages libunwind)
>    #:use-module (gnu packages linux)
> @@ -1211,3 +1212,51 @@ of reading and writing XML.")
>      ;; incompatible with the GPL v2.  Refer to the file named FLOSSE
> for the
>      ;; details.
>      (license license:gpl2+)))
> +
> +;; TODO: Make public and remove the fix below when the next release
> comes and
> +;; fixes the failing tests.
> +(define entt
> +  (package
> +    (name "entt")
> +    (version "3.6.0")
> +    (source (origin
> +              (method git-fetch)
> +              (uri (git-reference
> +                    (url "https://github.com/skypjack/entt")
> +                    (commit (string-append "v" version))))
> +              (file-name (git-file-name name version))
> +              (sha256
> +               (base32
> +                "17w0gx6xah8j2d1kc6ly7a8jvkp4jspmn505w724hynlvlx1192
> x"))))
> +    (build-system cmake-build-system)
> +    (arguments
> +     `(#:configure-flags (list "-DENTT_BUILD_TESTING=ON"
> +                               "-DENTT_FIND_GTEST_PACKAGE=ON"
> +                               "-DENTT_BUILD_DOCS=ON")))
> +    (native-inputs
> +     `(("googletest" ,googletest)
> +       ("doxygen" ,doxygen)     ; These two packages are needed for
> +       ("graphviz" ,graphviz))) ; generating the documentation.
> +    (synopsis "Fast and reliable entity component system (ECS)")
> +    (description "EnTT is a header-only, tiny and easy to use
> library for game
> +programming and much more written in modern C++.")
Please cut down on the marketing buzzwords :)
> +    (home-page "https://github.com/skypjack/entt")
> +    (license (list license:expat        ; for the code
> +                   license:cc-by4.0)))) ; for the docs
> +
> +(define-public entt-fixed-tests
> +  ;; This commit fixes two tests that are failing on the 3.6.0
> version.
> +  (let ((commit "14915368c7d4fa87e944cb55ffae1bb88cc6ef4c")
> +        (revision "1"))
> +    (package
> +      (inherit entt)
> +      (name "entt")
> +      (version (git-version "v3.6.0" revision commit))
> +      (source (origin
> +                (inherit (package-source entt))
> +                (uri (git-reference
> +                      (url "https://github.com/skypjack/entt")
> +                      (commit commit)))
> +                (sha256
> +                 (base32
> +                  "1amlr4amj94xnmbdz94292vfkxbl92azsr5s41vcqqjmarwkk
> hfh")))))))
Would it be possible to cherry-pick this commit and add it to the
patches field of entt's origin?

Regards,
Leo





Information forwarded to guix-patches@HIDDEN:
bug#47447; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Mar 2021 10:04:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 28 06:04:13 2021
Received: from localhost ([127.0.0.1]:45449 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lQSHD-0003pK-N7
	for submit <at> debbugs.gnu.org; Sun, 28 Mar 2021 06:04:13 -0400
Received: from lists.gnu.org ([209.51.188.17]:60212)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brown121407@HIDDEN>) id 1lQSH8-0003p9-JQ
 for submit <at> debbugs.gnu.org; Sun, 28 Mar 2021 06:04:10 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:54878)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <brown121407@HIDDEN>)
 id 1lQSH6-00021V-Sy
 for guix-patches@HIDDEN; Sun, 28 Mar 2021 06:04:06 -0400
Received: from mout02.posteo.de ([185.67.36.66]:52255)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <brown121407@HIDDEN>)
 id 1lQSH1-0001Pl-48
 for guix-patches@HIDDEN; Sun, 28 Mar 2021 06:04:04 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id EC54F2400FB
 for <guix-patches@HIDDEN>; Sun, 28 Mar 2021 12:03:53 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.ro; s=2017;
 t=1616925834; bh=wo5eTYvSWs69z+x2L356wh4NHlnh1nZ+MUtM8hAtMI8=;
 h=From:To:Cc:Subject:Date:From;
 b=iiKLNjUJhyBx7v/lse6BWaQLiyGMr7WcUbMvCbgs8hoir2laLSg4D+r/eIk9yxXwI
 wMOAkmn4zMW5MSWRQ8TTzfQAR+W3k1eJ9aa+G3Rvu4VBWU2lFDwppQ/37EEXCkTRU+
 c3hh6ATaBPZs2crVfsa/fzkHYVM86SF8YN89ZfKs2psYy1zP8NKL+cKF3uEfyBlU10
 m1A0WW9nUNNPzImqbDf5P1b1KO8AwwHhpdUdLKGxqFMaHWskUrsDPVwdZD6x1I6qnf
 em//wn03/6bJfJBbtYX+glUYryeVHa5WMC1E1BsQXdNjw/soj0adKyoKj5xFHojG07
 4Z9uoacOLG/cw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4F7WWY1lGjz6tmQ;
 Sun, 28 Mar 2021 12:03:52 +0200 (CEST)
From: Alexandru-Sergiu Marton <brown121407@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: Add entt.
Date: Sun, 28 Mar 2021 13:03:22 +0300
Message-Id: <20210328100322.31991-1-brown121407@HIDDEN>
X-Mailer: git-send-email 2.31.0
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=185.67.36.66; envelope-from=brown121407@HIDDEN;
 helo=mout02.posteo.de
X-Spam_score_int: -43
X-Spam_score: -4.4
X-Spam_bar: ----
X-Spam_report: (-4.4 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_MED=-2.3, RCVD_IN_MSPIKE_H4=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Alexandru-Sergiu Marton <brown121407@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

* gnu/packages/cpp.scm (entt): New variable.
(entt-fixed-tests): New variable.
---
 gnu/packages/cpp.scm | 51 +++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 50 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/cpp.scm b/gnu/packages/cpp.scm
index 2a00d3838a..449b4c1c06 100644
--- a/gnu/packages/cpp.scm
+++ b/gnu/packages/cpp.scm
@@ -18,7 +18,7 @@
 ;;; Copyright © 2020 Brett Gilio <brettg@HIDDEN>
 ;;; Copyright © 2020 Milkey Mouse <milkeymouse@HIDDEN>
 ;;; Copyright © 2021 Raghav Gururajan <rg@HIDDEN>
-
+;;; Copyright © 2021 Alexandru-Sergiu Marton <brown121407@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -57,6 +57,7 @@
   #:use-module (gnu packages curl)
   #:use-module (gnu packages documentation)
   #:use-module (gnu packages gcc)
+  #:use-module (gnu packages graphviz)
   #:use-module (gnu packages libevent)
   #:use-module (gnu packages libunwind)
   #:use-module (gnu packages linux)
@@ -1211,3 +1212,51 @@ of reading and writing XML.")
     ;; incompatible with the GPL v2.  Refer to the file named FLOSSE for the
     ;; details.
     (license license:gpl2+)))
+
+;; TODO: Make public and remove the fix below when the next release comes and
+;; fixes the failing tests.
+(define entt
+  (package
+    (name "entt")
+    (version "3.6.0")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/skypjack/entt")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "17w0gx6xah8j2d1kc6ly7a8jvkp4jspmn505w724hynlvlx1192x"))))
+    (build-system cmake-build-system)
+    (arguments
+     `(#:configure-flags (list "-DENTT_BUILD_TESTING=ON"
+                               "-DENTT_FIND_GTEST_PACKAGE=ON"
+                               "-DENTT_BUILD_DOCS=ON")))
+    (native-inputs
+     `(("googletest" ,googletest)
+       ("doxygen" ,doxygen)     ; These two packages are needed for
+       ("graphviz" ,graphviz))) ; generating the documentation.
+    (synopsis "Fast and reliable entity component system (ECS)")
+    (description "EnTT is a header-only, tiny and easy to use library for game
+programming and much more written in modern C++.")
+    (home-page "https://github.com/skypjack/entt")
+    (license (list license:expat        ; for the code
+                   license:cc-by4.0)))) ; for the docs
+
+(define-public entt-fixed-tests
+  ;; This commit fixes two tests that are failing on the 3.6.0 version.
+  (let ((commit "14915368c7d4fa87e944cb55ffae1bb88cc6ef4c")
+        (revision "1"))
+    (package
+      (inherit entt)
+      (name "entt")
+      (version (git-version "v3.6.0" revision commit))
+      (source (origin
+                (inherit (package-source entt))
+                (uri (git-reference
+                      (url "https://github.com/skypjack/entt")
+                      (commit commit)))
+                (sha256
+                 (base32
+                  "1amlr4amj94xnmbdz94292vfkxbl92azsr5s41vcqqjmarwkkhfh")))))))
-- 
2.31.0





Acknowledgement sent to Alexandru-Sergiu Marton <brown121407@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#47447; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 7 Apr 2021 11:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.